Bug 396601 - Samba does not share printers
Samba does not share printers
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-23 06:42 EST by The Source
Modified: 2009-01-09 00:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:19:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Samba config (9.50 KB, application/octet-stream)
2007-11-23 06:42 EST, The Source
no flags Details
Files and terminal session that demonstrate the problem (3.14 KB, application/octet-stream)
2008-04-03 21:10 EDT, David Price
no flags Details

  None (edit)
Description The Source 2007-11-23 06:42:04 EST
Description of problem:
My other PC can not use printer. smbd and cupsd are running. Printer is set to
be shared in printers.conf. Attaching smb.conf.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 The Source 2007-11-23 06:42:04 EST
Created attachment 267521 [details]
Samba config
Comment 2 Simo Sorce 2007-11-23 15:56:16 EST
Does it work if you set: printing = cups ?
Comment 3 The Source 2007-11-24 04:01:04 EST
No. It only works if I set printing = cups AND name section with my printer's
name not 'printers'. I.e [Deskjet_D4100_series].
Comment 4 Simo Sorce 2007-11-24 12:15:59 EST
have you also set 'printcap name = cups' ?
Comment 5 The Source 2007-11-24 13:05:12 EST
No, should I? It works without this parameter if I set section name to printer's
name. What does this parameter mean?
Comment 6 Simo Sorce 2007-11-24 18:34:01 EST
'printcap name = cups' tells samba to ask cups for the list of printers.
Comment 7 Eric Ziegenhorn 2007-12-02 00:01:44 EST
Making 'printcap name = cups' and uncommenting 'printing = cups' made my printer
available through Samba.  It was not available before.
Comment 8 The Source 2007-12-02 02:28:05 EST
Perhaps those options should be added to config by default. Almost everyone use
cups for printing.
Comment 9 Eric Ziegenhorn 2007-12-03 09:08:22 EST
I should think so.  If Fedora uses CUPS by default, which I think it does, then
certainly it should configure Samba to use CUPS by default.
Comment 10 The Source 2007-12-19 11:27:58 EST
printcap name = cups does not work. Samba does not show any printers.
In latest version (3.0.28-0.fc8) printer sharing does work at all. Directly
specified printer is visible but not printable. I have printable = yes option.
Comment 11 David Price 2008-04-03 21:10:30 EDT
Created attachment 300371 [details]
Files and terminal session that demonstrate the problem
Comment 12 Bug Zapper 2008-11-26 03:39:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 13 Bug Zapper 2009-01-09 00:19:22 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.